Skip to main content
GET
Get a specific guardrail

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

guardrailId
string
required

Guardrail UUID or slug (with guard_ prefix)

Response

Guardrail details retrieved successfully

id
string
required

Unique identifier of the guardrail

name
string
required

Name of the guardrail

slug
string
required

URL-friendly slug

created_at
string<date-time>
required

Creation timestamp

last_updated_at
string<date-time>
required

Last update timestamp

owner_id
string<uuid>
required

UUID of the user who created the guardrail

organisation_id
string<uuid>

Organisation UUID

workspace_id
string<uuid> | null

Workspace UUID (null for organisation-level guardrails)

status
enum<string>

Current status of the guardrail

Available options:
active,
archived
updated_by
string<uuid> | null

UUID of the user who last updated the guardrail

checks
object[]

Array of configured guardrail checks

actions
object

Actions to take when guardrail checks fail or pass

Last modified on April 8, 2026